Index: src/vector.cpp
===================================================================
--- src/vector.cpp	(revision 7ee87fc14c8174aaa7e562acd4b38bbed5239316)
+++ src/vector.cpp	(revision 58ed4a7c2bc8ff58164d0438ee813b30de7a34da)
@@ -281,5 +281,5 @@
     return true;
   } else {
-    eLog() << Verbose(2) << "Intersection point " << *this << " is not on plane." << endl;
+    DoeLog(2) && (eLog()<< Verbose(2) << "Intersection point " << *this << " is not on plane." << endl);
     return false;
   }
@@ -816,5 +816,5 @@
       x[i] = C.x[i];
   } else {
-    eLog() << Verbose(1) << "inverse of matrix does not exists: det A = " << detA << "." << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "inverse of matrix does not exists: det A = " << detA << "." << endl);
   }
 };
@@ -868,5 +868,5 @@
   x2.SubtractVector(y2);
   if ((fabs(x1.Norm()) < MYEPSILON) || (fabs(x2.Norm()) < MYEPSILON) || (fabs(x1.Angle(&x2)) < MYEPSILON)) {
-    eLog() << Verbose(2) << "Given vectors are linear dependent." << endl;
+    DoeLog(2) && (eLog()<< Verbose(2) << "Given vectors are linear dependent." << endl);
     return false;
   }
@@ -902,5 +902,5 @@
   Zero();
   if ((fabs(x1.Norm()) < MYEPSILON) || (fabs(x2.Norm()) < MYEPSILON) || (fabs(x1.Angle(&x2)) < MYEPSILON)) {
-    eLog() << Verbose(2) << "Given vectors are linear dependent." << endl;
+    DoeLog(2) && (eLog()<< Verbose(2) << "Given vectors are linear dependent." << endl);
     return false;
   }
